

	#checksearchmodbutopen, 
	#checksearchmodbutclose  {
    		display: none;
	}
	#searchmodbut {
		-webkit-transition: all 0.4s ease-in-out;
		-moz-transition: all 0.4s ease-in-out;
		transition: all 0.4s ease-in-out;
/*		top: 0;
		overflow: hidden;
		width: 26px;
		bottom: 0;
		position: absolute;
		right: 0px;
		height: 52px;
		border: 1px solid transparent;
		margin-right: 10px;*/
	}
	.osnmenutop.osntopbut {
		/*margin-top: -60px;*/
		margin-top: 0;
		position: relative;
		float: right;
	}
	#idsearchmodbutopen,
	#idsearchmodbutclose,
	#searchmodbutform form .buttonSend {

		cursor: pointer;
/*		padding-top: 13px;
		padding-bottom: 13px;

*/		padding-bottom: 0px;

		padding-top: 0px;
		padding-left: 0px;
		margin: 0;
		border: 0;
		background-color: transparent;
		font-size: 23px;
		position: absolute;
/*		position: relative;*/
		width: 26px;
		text-align: center;
	}

	#idsearchmodbutclose {
		right: -26px;
		opacity: 0;
		filter: Alpha(OPACITY=0);
		/*background-color: #f2f3f7;*/
		margin: 0;
		/*padding: 13px 0;*/
		color: #ffffff;
	}
	#idsearchmodbutopen,
	#searchmodbutform form .buttonSend {

		/*z-index: 1000;*/
	}
	#idsearchmodbutopen  {

		/*background-color: #f2f3f7;*/
		right: 0;
		margin: 0;
		/*padding: 13px 0;*/
		    top: 10px;
	}
/*
	#searchmodbutform form .buttonSend {

		padding-right: 0px;
		outline: 0;
		right: 0;
		background-color: #f2f3f7;
	} 
*/
	#idsearchmodbutclose,
	#searchmodbutform form .buttonSend {

		/*-webkit-transition: all 0.5s ease-in-out;
		-moz-transition: all 0.5s ease-out;
		-o-transition: all 0.5s ease-out;
		transition: all 0.5s ease-in-out;*/
	}

	#searchmodbutform form .inputesearchmodbut {

		float: left;
		position: relative;
		padding: 0 10px;
	}


	#searchmodbutform form .inputesearchmodbut,

	#searchmodbutform form,
	#searchmodbutform {

		margin: 0;
		padding: 0;
		width: 0;

		opacity: 0;
		height: 52px;
		overflow: hidden;
		outline: none;
		border: 0;
		transition: all .3s ease;
	
}

	input[type="text"].inputesearchmodbut {
    		position: relative;	
		float: left;
		padding-left: 15px;
		padding-right: 5px;
		/* background-color: rgba(54, 69, 81, 0.5); */
		/* color: #ffffff; */
		border: none;
		border-width: 0;
		font-size: 14px !important;
		font: normal 14px arial !important;
		text-transform: uppercase;
		margin-bottom: 0;
		width: calc(100% - 90px);
		width: -o-calc(100% - 90px);
		width: -moz-calc(100% - 90px);
		width: -webkit-calc(100% - 90px);
		resize: both;
	}
	


	#modalfindform {
    		position: fixed;
   		content: '';
		margin-top: 0;
		background: rgba(0, 0, 0, 0.7);
		transition: all .3s ease-in-out;
		z-index: 2090;
		display: flex;
		justify-content: center;
		align-items: center;
		opacity: 0;
		width: 0;
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
	}

	#searchmodbutform form .buttonSend {

		color: #ffffff;
	}
	#modalfindform #searchmodbutform {

		position: relative;
	}
	#modalfindform input[type="text"].inputesearchmodbut::placeholder {
		color: #ffffff;
	}
	#modalfindform input[type="text"].inputesearchmodbut {
		background-color:transparent;
		color: #ffffff;
	}
	#modalfindform #searchmodbutform  {
		border-bottom: 1px solid #FFFFFF;
	}

	#checksearchmodbutopen.checked ~ * #idsearchmodbutclose, 
	#checksearchmodbutopen:checked ~ * #idsearchmodbutclose {

		opacity: 1;
		filter:Alpha(OPACITY=100);
		right:0;
		color: #ffffff;
		z-index: 3000;
	}	


	#checksearchmodbutopen.checked ~ * #modalfindform,

	#checksearchmodbutopen:checked ~ * #modalfindform  {
		opacity: 1;
		filter:Alpha(OPACITY=100);
		margin: 0 auto;
		width: 100%;
	
}



	#checksearchmodbutopen.checked ~ * #modalfindform #searchmodbutform,

	#checksearchmodbutopen:checked ~ * #modalfindform #searchmodbutform {
		opacity: 1;
		filter:Alpha(OPACITY=100);
		margin: 0 auto;
		width: 1000px;
	
}


	#checksearchmodbutclose.checked ~ * #modalfindform,

	#checksearchmodbutclose:checked ~ * #modalfindform,
	#checksearchmodbutclose.checked ~ * #modalfindform #searchmodbutform,

	#checksearchmodbutclose:checked ~ * #modalfindform #searchmodbutform {
		opacity: 0;
		filter:Alpha(OPACITY=0);
		margin: 0 auto;
		width: 0;
	
}
	
	#checksearchmodbutopen.checked ~ * #idsearchmodbutopen, 
	#checksearchmodbutopen:checked ~ * #idsearchmodbutopen {

		opacity: 0;
		filter:Alpha(OPACITY=0);
	} 

	#checksearchmodbutclose.checked ~ * #idsearchmodbutopen, 
	#checksearchmodbutclose:checked ~ * #idsearchmodbutopen {

		opacity: 1;
		filter:Alpha(OPACITY=100);
	} 
	#checksearchmodbutclose.checked ~ * #idsearchmodbutclose, 
	#checksearchmodbutclose:checked ~ * #idsearchmodbutclose {

		opacity: 0;
		filter:Alpha(OPACITY=0);
	} 

	#checksearchmodbutopen.checked ~ #searchmodbut,

	#checksearchmodbutopen:checked ~ #searchmodbut {
		/*width: 250px;*/
		top: 0;
		bottom: 0;
		/*border: 1px solid #f2f3f7;
		background-color: #f2f3f7;*/
	
}


/*	#checksearchmodbutopen.checked ~ * #modalfindform,

	#checksearchmodbutopen:checked ~ * #modalfindform {
		opacity: 1;
		filter:Alpha(OPACITY=100);
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
		width: 100%;
	
}

*/
	
	#checksearchmodbutopen.checked ~ * #searchmodbutform,

	#checksearchmodbutopen:checked ~ * #searchmodbutform {
		width: 250px;
		opacity: 1;
		filter:Alpha(OPACITY=100);
		width: -o-calc(100% - 26px);
		width: -moz-calc(100% - 26px);
		width: -webkit-calc(100% - 26px);
		width: calc(100% - 26px);
	
}

	#checksearchmodbutopen.checked ~ * #searchmodbutform form .inputesearchmodbut,
	#checksearchmodbutopen:checked ~ * #searchmodbutform form .inputesearchmodbut {
		width: -o-calc(100% - 26px - 10px);
		width: -moz-calc(100% - 26px - 10px);
		width: -webkit-calc(100% - 26px - 10px);
		width: calc(100% - 26px - 10px);
		opacity: 1;
		filter:Alpha(OPACITY=100);
		padding-left: 5px;
		/*background-color: #ffdbdb;*/
	
}


	#checksearchmodbutopen.checked ~ * #searchmodbutform form,
	#checksearchmodbutopen:checked ~ * #searchmodbutform form {
		width: 100%;
		opacity: 1;
		filter:Alpha(OPACITY=100);
	
}

	